;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 4

;-| AI Motions |------------------------------------------------------
[Command]
name = "1"
command = ~D, F, D, F
time = 1
[Command]
name = "2"
command = ~D, D, F, D
time = 1
[Command]
name = "3"
command = ~D, F, F, D
time = 1
[Command]
name = "4"
command = ~D, F, U, F
time = 1
[Command]
name = "5"
command = ~D, B, D, D
time = 1
[Command]
name = "6"
command = ~U, D, F, D
time = 1
[Command]
name = "7"
command = ~D, U, F, U
time = 1
[Command]
name = "8"
command = ~F, U, F, B
time = 1
[Command]
name = "9"
command = ~B, U, F, U
time = 1
[Command]
name = "10"
command = ~D, U, B, U
time = 1
[Command]
name = "11"
command = ~B, B, F, U
time = 1
[Command]
name = "12"
command = ~D, B, B, U
time = 1
[Command]
name = "13"
command = ~U, B, B, U
time = 1
[Command]
name = "14"
command = ~U, B, U, F
time = 1
[Command]
name = "15"
command = ~D, U, D, U
time = 1
[Command]
name = "16"
command = ~F, B, B, U
time = 1

;-| Hyper Motions |------------------------------------------------------

[Command]
name = "Final Vultures"
command = ~x, x, a, b
time = 35
buffer.time = 10

[Command]
name = "Raging Vultures"   ;Same name as above
command = ~D, B, F, a
time = 35
buffer.time = 7

[Command]
name = "Raging Vultures"   ;Same name as above
command = ~D, B, F, b
time = 35
buffer.time = 7

[Command]
name = "venomize"   ;Same name as above
command = ~D, F, D, F, x
time = 35
buffer.time = 7

[Command]
name = "venomize"   ;Same name as above
command = ~D, F, D, F, y
time = 35
buffer.time = 7

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------

[Command]
name = "QCF_x"
command = ~D, F, x
time = 15
buffer.time = 10

[Command]
name = "QCF_y"
command = ~D, F, y
time = 15
buffer.time = 10

[Command]
name = "QCF_a"
command = ~D, F, a
time = 15
buffer.time = 6

[Command]
name = "QCF_b"
command = ~D, F, b
time = 15
buffer.time = 6

[Command]
name = "QCB_x"
command = ~D, B, x
time = 15
buffer.time = 10

[Command]
name = "QCB_y"
command = ~D, B, y
time = 15
buffer.time = 10

[Command]
name = "QCB_a"
command = ~D, B, a
time = 15
buffer.time = 20

[Command]
name = "QCB_b"
command = ~D, B, b
time = 15
buffer.time = 20

[Command]
name = "BF_x"
command = ~10$B, F, x
time = 15

[Command]
name = "BF_y"
command = ~10$B, F, y
time = 15

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 15

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 15

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = z
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x + a
time = 3


;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 40

[Command]
name = "b"
command = b
time = 1
buffer.time = 6

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1
buffer.time = 8

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holda";Required (do not remove)
command = /$a
time = 1

[Command]
name = "holdb";Required (do not remove)
command = /$b
time = 1

[Command]
name = "holdc";Required (do not remove)
command = /$c
time = 1

[Command]
name = "holdx";Required (do not remove)
command = /$x
time = 1

[Command]
name = "holdy";Required (do not remove)
command = /$y
time = 1

[Command]
name = "holds";Required (do not remove)
command = /$s
time = 1

;---------------------------------------------------------------------------
; 2. State entry
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Final Vultures 
[State -1, Final Vultures]
type = ChangeState
value = 3020
triggerall = p2life > 0 && power >= 3000 && statetype != A && life > 0
trigger1 = var (2) != 1 && command = "Final Vultures" && (stateno = 200|stateno = 210|stateno = 230|stateno = 240|stateno = 243|stateno = 299)
trigger2 = var (2) = 1 && random <= 600 && p2bodydist x > 100 && p2bodydist x <  220
trigger2 = p2statetype = S || p2statetype = C 
trigger3 = var (2) != 1 && command = "Final Vultures"
trigger3 = stateno = [100,107]
;---------------------------------------------------------------------------
;Raging Vultures 
[State -1, Raging Vultures]
type = ChangeState
value = 3450
triggerall = p2life > 0 && power >= 1000 && statetype != A && life > 0
trigger1 = var (2) != 1 && command = "Raging Vultures" && stateno = 1049 && movecontact
trigger2 = var (2) = 1 && p2bodydist x >= 5 && p2bodydist x <=  60 && p2stateno != [5100, 5110]
trigger2 = stateno = 1049 && movehit
trigger3 = var (2) != 1 && command = "Raging Vultures"
trigger3 = stateno = [100,107]
trigger4 = var (2) != 1 && command = "Raging Vultures" && ctrl = 1

;---------------------------------------------------------------------------
;venomize(uses one super bar)
[State -1, venomize]
type = ChangeState
value = 3002
triggerall = p2life > 0
triggerall = power > 1000 && statetype = S && ctrl = 1
trigger1 = var (2) != 1 && command = "venomize" && statetype = S 
trigger2 = var (2) = 1 && random > 600 && var (3) < 1 && P2movetype != A && p2bodydist x > 150
trigger3 = var (2) = 1 && random > 780 && var (3) < 2 && P2movetype != A && p2bodydist x > 150
trigger4 = var (2) = 1 && p2life <= 200 && random > 700 && P2movetype != A && p2bodydist x > 150
trigger5 = var (2) = 1 && life <= 350 && P2movetype != A && p2bodydist x > 150 && random > 100
trigger6 = var (2) = 1 && life <= 350 && random > 100
trigger6 = p2stateno = [5100, 5110]



;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)

;===========================================================================
;---------------------------------------------------------------------------
;hunting claw close
[State -1, hunting claw]
type = ChangeState
value = 1049
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "QCB_x" && statetype != A && ctrl = 1
trigger2 = var (2) != 1 && command = "QCB_x" && (stateno != 440) && movecontact && (stateno != 211)
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger3 = var (2) = 1 && statetype = S && p2bodydist x < 70 && p2bodydist x > 0
trigger3 = stateno = 210 || stateno = 1050 
trigger3 = stateno != 410
trigger3 = movehit
;trigger4 = var (2) = 1 && statetype = S && ctrl = 1 && random > 950 && p2bodydist x < 50 && p2statetype != A && (stateno != 1049)
;trigger4 = var (2) = 1 && statetype = S && random > 900 && random <= 950 && p2bodydist x < 30 && movehit && stateno != 211
;trigger4 = (p2stateno = 5160) || (p2stateno = [5035,5070]) 
;trigger6 = var (2) = 1 && ctrl = 1 && statetype != A && p2bodydist x < 30
;trigger6 = p2stateno = [5100, 5110]
trigger5 = var (2) != 1 && command = "QCB_x" && statetype != A
trigger5 = stateno = [100,107]
;---------------------------------------------------------------------------
;hunting claw far
[State -1, hunting claw]
type = ChangeState
value = 1050
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "QCB_y" && statetype != A && ctrl = 1
trigger2 = var (2) != 1 && command = "QCB_y" && (stateno != 440) && movecontact && (stateno != 211)
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) 
trigger3 = var (2) = 1 && statetype = S && ctrl = 1 && p2bodydist x <= 100 && p2bodydist x > 70 
trigger3 = p2stateno = 5160 || p2stateno = [5035, 5070]
trigger4 = var (2) = 1 && statetype != A && random > 800 && ctrl = 1 && p2movetype != A && p2bodydist x <= 90 && p2bodydist x > 70 
trigger4 = p2stateno != [5100, 5110]
trigger5 = var (2) = 1 && statetype != A && movehit
trigger5 = stateno = 240 && anim = 241
trigger5 = p2stateno != [5100, 5110]
;trigger6 = var (2) = 1 && ctrl = 1 && statetype != A && p2bodydist x > 50 && p2bodydist x < 80
;trigger6 = p2stateno = [5100, 5110]
trigger6 = var (2) = 1 && ctrl = 1 && statetype != A && stateno = 211 && movehit
trigger7 = var (2) != 1 && command = "QCB_y" && statetype != A
trigger7 = stateno = [100,107]
;---------------------------------------------------------------------------
;mine planting
[State -1, mine planting]
type = ChangeState
value = 6024
triggerall = var (10) < 5
triggerall = p2life > 0
trigger1 = var (2) != 1 && statetype = S && ctrl= 1
trigger1 = (command = "QCB_a") || (command = "QCB_b") 
trigger2 = var (2) != 1 
trigger2 = (command = "QCB_a") || (command = "QCB_b") 
trigger2 = (stateno = 100) || (stateno = 105)
trigger3 = var (2) = 1 && statetype = S && ctrl = 1 && p2bodydist x < 10
trigger3 = (p2stateno = 5160) || (p2stateno = 5050)
trigger4 = var (2) = 1 && statetype = S && ctrl = 1 && p2statetype = A && p2bodydist x < 100 && BackEdgeBodyDist > 80 && random > 780 && random <= 800
trigger5 = var (2) != 1 && (stateno != 440) && (stateno != 211)
trigger5 = (stateno = [200,299]) || (stateno = [400,499])
trigger5 = (command = "QCB_a") || (command = "QCB_b") 
;---------------------------------------------------------------------------
;throw knives straight
[State -1, throw knives straight]
type = ChangeState
value = 998
triggerall = var (12) < 15
triggerall = numprojID (1000) != 1
triggerall = numprojID (1001) != 1
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "QCF_x" && statetype = S && ctrl = 1
trigger2 = var (2) != 1 && command = "QCF_x" 
trigger2 = (stateno = 100) || (stateno = 105) || (stateno = 210) || (stateno = 240)
trigger3 = var (2)= 1 && statetype = S && ctrl = 1 && p2bodydist x > 100 && p2bodydist x < 150 && random > 700 && random <= 780
trigger3 = (p2stateno != [130, 152]) || (p2stateno != [5100, 5110]) || (p2stateno != 11)
trigger3 = stateno != 1000 || stateno != 1001
trigger3 = p2movetype != A
trigger4 = var (2) != 1 && (stateno != 440) && (stateno != 211)
trigger4 = (stateno = [200,299]) || (stateno = [400,499])
trigger4 = command = "QCF_x" 
trigger5 = var (2)= 1 && statetype != A && (stateno != 211) && movehit && p2bodydist y <= -60
trigger5 = stateno = 240 || stateno = 242 || stateno = 243
;---------------------------------------------------------------------------
;throw knives straight
[State -1, throw knives straight]
type = ChangeState
value = 1000
triggerall = stateno = 998 && animelemtime(4) > 2
trigger1 = command != "holdx"
trigger2 = var (2) = 1 && p2bodydist y <= -60
trigger2 = (p2stateno != [5100, 5110]) || (p2stateno != [120, 152]) || (p2stateno != 11)
trigger3 = var (2) =1 && p2movetype = A 
;---------------------------------------------------------------------------
;throw knives angled
[State -1, throw knives angled]
type = ChangeState
value = 999
triggerall = var (12) < 15
triggerall = numprojID (1002) != 1
triggerall = numprojID (1003) != 1
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "QCF_y" && statetype = S && ctrl = 1
trigger2 = var (2) != 1 && command = "QCF_y" 
trigger2 = (stateno = 100) || (stateno = 105)
trigger3 = var (2)= 1 && statetype = S && ctrl = 1 && p2bodydist x > 100 && p2bodydist x < 150 && random > 670 && random <= 700
trigger3 = (p2stateno != [130, 152]) || (p2stateno != [5100, 5110]) 
trigger3 = stateno != 1000 || stateno != 1001
trigger3 = p2movetype != A
trigger4 = var (2) != 1 && (stateno != 440) && (stateno != 211)
trigger4 = (stateno = [200,299]) || (stateno = [400,499])
trigger4 = command = "QCF_y" 
trigger5 = var (2)= 1 && statetype != A && (stateno != 211) && movehit && p2bodydist y > -60
trigger5 = stateno = 240 || stateno = 242 || stateno = 243
;---------------------------------------------------------------------------
;throw knives angled
[State -1, throw knives angled]
type = ChangeState
value = 1001
triggerall = stateno = 999 && animelemtime(4) > 8
trigger1 = command != "holdy"
trigger2 = var (2) = 1
trigger2 = (p2stateno != [120, 152]) || (p2stateno != [5100, 5110])
trigger3 = var (2) =1 && p2movetype = A
;---------------------------------------------------------------------------
;throw knives air
[State -1, throw knives air slow]
type = ChangeState
value = 1013
triggerall = var (12) < 15
triggerall = numprojID (1000) != 1
triggerall = numprojID (1001) != 1
triggerall = p2life > 0
triggerall = statetype = A
triggerall = alive 
trigger1 = var (2) != 1 
trigger1 = command = "QCF_x" && ctrl = 1
trigger2 = command = "QCF_x" && movecontact
trigger3 = var (2)= 1 && p2bodydist x > 100 && p2bodydist x < 150 && random > 700 && random <= 780 && ctrl = 1
trigger3 = (p2stateno != [120, 152]) || (p2stateno != [5100, 5110]) || (p2stateno != 11)
trigger3 = stateno != 1000 || stateno != 1001
trigger3 = p2movetype != A
;---------------------------------------------------------------------------
;throw knives air
[State -1, throw knives air fast]
type = ChangeState
value = 1014
triggerall = var (12) < 15
triggerall = numprojID (1000) != 1
triggerall = numprojID (1001) != 1
triggerall = p2life > 0
triggerall = statetype = A && ctrl = 1
triggerall = alive
trigger1 = var (2) != 1 
trigger1 = command = "QCF_y" 
trigger2 = var (2)= 1 && p2bodydist x > 100 && p2bodydist x < 150 && random > 700 && random <= 780
trigger2 = (p2stateno != [120, 152]) || (p2stateno != [5100, 5110]) || (p2stateno != 11)
trigger2 = stateno != 1000 || stateno != 1001
trigger2 = p2movetype != A
;---------------------------------------------------------------------------
;bomb slow
[State -1, bomb]
type = ChangeState
value = 1002
triggerall = numprojID (1004) != 1 && numprojID (1005) != 1
triggerall = var (11) < 8
trigger1 = var (2) != 1 && command = "QCF_a" && statetype = S && ctrl = 1
trigger2 = var (2) != 1 && command = "QCF_a"
trigger2 = (stateno = 100) || (stateno = 105)
trigger3 = var (2) = 1 && statetype = S && ctrl = 1 && p2life > 0
trigger3 = p2bodydist x > 90 && p2bodydist x < 120 
trigger3 = random > 650 && random <= 670 
trigger4 = var (2) = 1 && statetype = S && ctrl = 1 && p2life > 0 && random > 600
trigger4 = p2stateno = [5100, 5110] 
;---------------------------------------------------------------------------
;bomb fast
[State -1, bomb]
type = ChangeState
value = 1003
triggerall = numprojID (1004) != 1 && numprojID (1005) != 1
triggerall = var (11) < 8
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "QCF_b" && statetype = S && ctrl = 1
trigger2 = var (2) != 1 && command = "QCF_b"
trigger2 = (stateno = 100) || (stateno = 105)
trigger3 = var (2) = 1 && statetype = S && ctrl = 1 && p2bodydist x > 200
trigger3 = p2movetype = A && p2statetype = S && random > 700
;---------------------------------------------------------------------------
;Stand Strong Punch2
[State -1, Stand Strong Punch 2]
type = ChangeState
value = 211
triggerall = var (12) < 15
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "y" && command = "holdfwd" && command != "holddown" && statetype = S && ctrl= 1
trigger2 = var (2) != 1 && command = "y" && command = "holdfwd" && command != "holddown" && (stateno = 200) && time > 5
trigger3 = var (2) = 1 && ctrl = 1 && statetype = S && p2bodydist x > 10 && p2bodydist x <= 55 && p2bodydist y <= -65 && p2statetype = A
trigger3 = p2stateno != [5100, 5110]
trigger3 = p2stateno != [120, 152] 
trigger3 = p2stateno != 211

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = var (2) != 1 && command = "FF" && statetype = S && ctrl = 1 && anim != 100
;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = var (2) != 1 && command = "BB" && statetype = S && ctrl = 1 && anim != 105 && anim != 106
;---------------------------------------------------------------------------
;stab
[State -1, stab]
type = ChangeState
value = 800
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = var (2) != 1 && command = "y" && p2bodydist X < 30 && p2movetype != H
trigger1 = command = "holdfwd" || command = "holdback"
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger2 = var (2) = 1 && p2movetype != A && p2movetype != H && p2bodydist x < 10 
trigger2 = p2statetype = S || p2statetype = C 
;===========================================================================
;---------------------------------------------------------------------------
;roll forward
[State -1, roll forward]
type = ChangeState
value = 101
triggerall = stateno != 101
trigger1 = Var (2) != 1 && command = "z" && ctrl = 1 && statetype != A
trigger2 = Var (2) != 1 && command = "holda" && command = "holdx" && command != "holdback" && ctrl = 1 && statetype != A
;---------------------------------------------------------------------------
;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "x" && command != "holddown" && statetype = S && ctrl = 1 && stateno != 210
trigger2 = var (2) = 1 && statetype = S && ctrl = 1 && random > 650 && p2bodydist x <= 60 && p2statetype != C 
trigger2 = p2stateno != [5100,5110]
trigger2 = p2stateno != [10, 12]
trigger3 = var (2) = 1 && statetype = S && ctrl = 1 && stateno = 640 && movehit
trigger4 = var (2) = 1 && statetype != A && ctrl = 1 && stateno = 430 && movehit && random > 500
trigger5 = var (2) != 1 && command = "x" && command != "holddown" && statetype = S
trigger5 = stateno = [100,107]
trigger6 = var (2) != 1 && command = "x" && command = "holdfwd" && command != "holddown" && statetype = S && movecontact
trigger6 = stateno = 200
;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "y" && command != "holddown" && statetype = S && ctrl= 1
trigger2 = var (2) != 1 && command = "y" && command != "holddown" && (stateno = [200, 201]) && time > 5
trigger3 = var (2) != 1 && command = "y" && command != "holddown" && time > 18 
trigger3 = (stateno = 230) || (stateno = 299) 
trigger4 = var (2) != 1 && command = "y" && command != "holddown" && (stateno = 1050) && movecontact
trigger5 = var (2) = 1 && statetype = S &&  movehit
trigger5 = (stateno = 1050) || (stateno = 201)
trigger6 = var (2) = 1 && ctrl = 1 && statetype = S && p2bodydist x > 50 && p2bodydist x <= 65 && random <= 750 
trigger6 = p2stateno != [5100,5110]
trigger6 = p2stateno != [120, 152] 
trigger7 = var (2) != 1 && command = "y" && command != "holddown" && statetype = S
trigger7 = stateno = [100,107]
trigger8 = var (2) != 1 && command = "y" && command != "holddown" && statetype = S
trigger8 = stateno = 1049 && animelem = 9,4
;---------------------------------------------------------------------------
;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "a" && command != "holddown" && statetype = S && ctrl = 1
trigger2 = var (2) != 1 && command = "a" && command != "holddown" && (stateno = [200, 201]) && time > 7
trigger3 = var (2) = 1 && ctrl = 1 && statetype = S && p2bodydist x <= 75 && p2statetype != A && random > 750 && p2stateno != [5100,5110]
trigger4 = var (2) != 1 && command = "a" && command != "holddown" && (stateno = 210) && movecontact
trigger5 = var (2) != 1 && command = "a" && command != "holddown" && statetype = S
trigger5 = stateno = [100,107]
;---------------------------------------------------------------------------
;Stand Light Kick followup
[State -1, Stand Light Kick]
type = ChangeState
value = 299
triggerall = p2life > 0
trigger1 = command = "holda" && time > 8
trigger1 = command != "holddown"
trigger1 = statetype = S
trigger1 = stateno = 230 && animelem= 4, > 3 
trigger2 = var (2) = 1 && stateno = 230 && movehit
;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "b" && command != "holddown" && statetype = S && ctrl = 1
trigger2 = var (2) != 1 && command = "b" && command != "holddown" && (stateno = [200, 201]) && time > 5
trigger3 = var (2) != 1 && command = "b" && command != "holddown" && (stateno = 230) && time > 6
trigger4 = var (2) != 1 && command = "b" && command != "holddown" && movecontact
trigger4 = (stateno = 210) || (stateno = 299) 
trigger5 = var (2) != 1 && command = "b" && command != "holddown" && command = "holdback" && (stateno = 240) && movecontact && anim != 241
;trigger6 = var (2) = 1 && statetype = S && ctrl = 1 && stateno != 240 && p2bodydist x > 65 && p2bodydist x <= 75 && p2statetype != C && stateno != 130 && random > 800 
;trigger6 = p2stateno != [5100,5110]
trigger6 = var (2) = 1 && statetype = S
trigger6 = stateno = 299 && movehit && prevstateno != 240 && p2bodydist x > 65 && p2bodydist x <= 75
trigger7 = var (2) = 1 && statetype = S && ctrl = 1 && prevstateno != 240 && p2bodydist x > 65 && p2bodydist x <= 75 && p2statetype != C && stateno != 130 && random > 800
trigger7 = p2stateno != [5100,5110]
trigger8 = var (2) != 1 && command = "b" && command != "holddown" && statetype = S
trigger8 = stateno = [100,107]
trigger9 = var (2) != 1 && command = "b" && command != "holddown" && statetype = S
trigger9 = stateno = 1049 && animelem = 9,4
;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "x" && command = "holddown" && statetype = C && ctrl = 1
trigger2 = var (2) = 1 && statetype = C && ctrl = 1 && p2stateno != 131 && p2bodydist x <= 30 && random <= 150
trigger2 = p2stateno != [5100, 5110]
trigger3 = var (2) != 1 && command = "x" && command = "holddown" && statetype = C
trigger3 = stateno = [100,107]
;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "y" && command = "holddown" && statetype = C && ctrl=1
trigger2 = var (2) != 1 && command = "y" && command = "holddown" 
trigger2 = (stateno = 400) || (stateno = 430) 
trigger2 = (time > 9) || (movecontact && time > 5)
trigger3 = var (2) = 1 && stateno = 400 && movehit && p2bodydist x <= 50 
;trigger4 = var (2) = 1 && (p2statetype = A) && statetype = C && ctrl = 1 && p2bodydist x <= 50 
;trigger4 = random > 200 && random <= 350 && stateno != 410
;trigger4 = p2movetype != H && p2stateno != [5100, 5110]
trigger4 = var (2) = 1 && stateno = 430 && movehit && p2bodydist x <= 50 
trigger5 = var (2) != 1 && command = "y" && command = "holddown" && statetype = C
trigger5 = stateno = [100,107]
;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = p2life > 0

trigger1 = var (2) != 1 && command = "a" && command = "holddown" && statetype = C && ctrl = 1
trigger2 = var (2) != 1 && command = "a" && command = "holddown" 
trigger2 = (stateno = 400) 
trigger2 = (time > 9) || (movecontact && time > 5)
trigger3 = var (2) = 1 && statetype = C && ctrl = 1 && p2statetype != A && p2bodydist x <= 50 && random < 550 && p2stateno != [5100,5110]
trigger3 = stateno != 430
trigger4 = var (2) != 1 && command = "a" && command = "holddown" && statetype = C
trigger4 = stateno = [100,107]
;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "b" && command = "holddown" && statetype = C && ctrl = 1
trigger2 = var (2) != 1 && command = "b" && command = "holddown" 
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = movecontact ;&& time > 5
trigger3 = var (2) = 1 && statetype = C && ctrl = 1 && p2bodydist x <= 65 
trigger3 = p2stateno != [5100, 5110] 
trigger3 = stateno = 430 && movehit && p2bodydist x > 50 
trigger4 = p2stateno != [5100, 5110]
trigger4 = p2statetype != A
trigger4 = var (2) = 1 && statetype = C && ctrl = 1 && p2bodydist x <= 100 && p2bodydist x > 50 && p2movetype = H && prevstateno != 440 && random < 300 
trigger5 = var (2) != 1 && command = "b" && command = "holddown" && statetype = C
trigger5 = stateno = [100,107]
;---------------------------------------------------------------------------
;Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "x" && statetype = A && ctrl = 1
trigger2 = var (2) != 1 && command = "x" && stateno = 600 && statetime >= 7
;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "y" && statetype = A && ctrl = 1
trigger2 = var (2) != 1 && command = "y" 
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "a" && statetype = A && ctrl = 1
trigger2 = var (2) = 1
trigger2 = statetype = A && ctrl = 1 && p2statetype != A && p2bodydist x < 80
;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "b" && statetype = A && ctrl = 1
trigger2 = var (2) != 1 && command = "b"
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = var (2) = 1 && stateno = 630 && movecontact
;---------------------------------------------------------------------------
;counter stance
[State -1, counter stance]
type = ChangeState
value = 231
triggerall = p2life > 0
trigger1 = var (2) != 1 && command = "holdc" && statetype = S && ctrl =1 
trigger2 = var (2) != 1 && command = "holdc" && statetype = S 
trigger2 = stateno = 100 || stateno = 105 || stateno = 130 || stateno = 130 || stateno = 140 || stateno = 150 
trigger3 = var (2) = 1 && statetype = S && ctrl = 1 && p2bodydist x < 85 && p2bodydist x > 30 && random <= 150 && power >= 250
trigger4 = var (2) = 1 && stateno = 240 && movehit && power >= 250
trigger5 = var (2) = 1 && stateno = 1049 && movehit && power >= 250 && power < 1000
trigger6 = var (2) != 1 && command = "holdc" && stateno = 1049 && animelem = 7, 3
;---------------------------------------------------------------------------
;x breaker upper
[State -1, x breaker upper]
type = ChangeState
value = 2320
triggerall = power >= 250
trigger1 = var (2) != 1 && command = "holdup" && stateno = 231 && time > 6
trigger2 = var (2) = 1 && p2statetype = A && stateno = 231 && time > 6 && p2bodydist x < 35
trigger3 = var (2) = 1 && p2statetype = A && stateno = 2311 && p2bodydist x < 35 
trigger4 = var (2) != 1 && command = "holdup" && stateno = 2311 
;---------------------------------------------------------------------------
;x breaker low
[State -1, x breaker low]
type = ChangeState
value = 2340
triggerall = power >= 250
trigger1 = var (2) != 1 && command = "holddown" && stateno = 231 && time > 6
trigger2 = var (2) = 1 && p2statetype = S && stateno = 231 && time > 6 && p2bodydist x < 30
trigger3 = var (2) = 1 && p2statetype = S && stateno = 2311 && p2bodydist x < 30
trigger4 = var (2) != 1 && command = "holddown" && stateno = 2311 
;---------------------------------------------------------------------------
;x breaker mid
[State -1, x breaker mid]
type = ChangeState
value = 2360
triggerall = power >= 250
trigger1 = var (2) != 1 && command = "holdfwd" && stateno = 231 && time > 6
trigger2 = var (2) = 1 && stateno = 231 && time > 6 && p2bodydist x >= 55 && p2bodydist x < 90 && p2stateno != [5100, 5110]
trigger3 = var (2) = 1 && stateno = 2311 && p2bodydist x >= 55 && p2bodydist x < 90 && p2stateno != [5100, 5110]
trigger4 = var (2) != 1 && command = "holdfwd" && stateno = 2311
;---------------------------------------------------------------------------
;x breaker kick
[State -1, x breaker kick]
type = ChangeState
value = 242
trigger1 = var (2) != 1 && command = "b" && stateno = 231 && time > 6
trigger2 = var (2) = 1 && stateno = 231 && time > 6 && p2bodydist x >= 35 && p2bodydist x < 55 && p2stateno != [5100, 5110]
trigger3 = var (2) = 1 && stateno = 2311 && p2bodydist x >= 35 && p2bodydist x < 55 && p2stateno != [5100, 5110]
trigger4 = var (2) != 1 && command = "b" && stateno = 2311
trigger5 = var (2) = 1 && stateno = 1049 && movehit && power < 250
;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = p2life > 0
triggerall = statetype != A
triggerall = ctrl
trigger1 = var (2) != 1 && command = "holds"
trigger2 = var (2) = 1 && p2movetype = H && p2bodydist x > 140 && random <= 80
;---------------------------------------------------------------------------
[State -1, S block]
type = ChangeState
value = 130
trigger1 = var (2) = 1 && statetype = S && ctrl = 1 && p2movetype = A && random <= 800 && life > 300
trigger1 = p2statetype = S || p2statetype = A
trigger1 = stateno != 231 
trigger2 = var (2) = 1 && statetype = S && ctrl = 1 && p2movetype = A && random <= 900 && life <= 300
trigger2 = p2statetype = S || p2statetype = A
trigger2 = stateno != 231 
;---------------------------------------------------------------------------
[State -1, C block]
type = ChangeState
value = 131
trigger1 = var (2) = 1 && statetype = C && ctrl = 1 && p2movetype = A && p2statetype != A && random <= 800 && life > 300
trigger1 = stateno != 231 
trigger2 = var (2) = 1 && statetype = C && ctrl = 1 && p2movetype = A && p2statetype != A && random <= 800 && life <= 300
trigger2 = stateno != 231 
;---------------------------------------------------------------------------
[State -1, A block]
type = ChangeState
value = 132
trigger1 = var (2) = 1 && statetype = A && ctrl = 1 && p2movetype = A && random <= 900
;---------------------------------------------------------------------------
[State -1, crouching initiative]
type = ChangeState
value = 10
triggerall = p2life > 0
triggerall = var (2) = 1
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = p2statetype = C && p2movetype = A && p2bodydist x < 100 && random <= 800
trigger2 = p2bodydist x < 110 && random <= 100
;---------------------------------------------------------------------------
[State -1, standing initiative]
type = ChangeState
value = 12
triggerall = p2life > 0
triggerall = var (2) = 1
triggerall = statetype = C
triggerall = ctrl = 1
trigger1 = p2statetype = A && p2movetype = A && p2bodydist x < 100 && random <= 800
trigger2 = p2statetype = C && p2movetype != A && p2bodydist x > 100 && random <= 50
trigger3 = anim = 440 && animtime = 0 && p2movetype != H
;---------------------------------------------------------------------------
[State -1, run initiative]
type = ChangeState
value = 100
triggerall = p2life > 0
triggerall = var (2) = 1
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = p2bodydist x > 160 && p2stateno = [5050,5120]
;---------------------------------------------------------------------------
[State -1, stop from run initiative]
type = ChangeState
value = 107
triggerall = stateno = 100
triggerall = var (2) = 1
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = p2movetype = A
;trigger2 = p2stateno != [5050,5120]
trigger2 = p2bodydist x < 100
;---------------------------------------------------------------------------
[State -1, backrun initiative]
type = ChangeState
value = 105
triggerall = p2life > 0
triggerall = var (2) = 1
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = stateno = 1049 && movehit && random > 400
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
[State -1, roll initiative]
type = ChangeState
value = 101
triggerall = p2life > 0
triggerall = var (2) = 1
triggerall = statetype != A
triggerall = ctrl = 1
trigger1 = life < 400 && p2movetype = A && p2bodydist x <  100 && random > 600
trigger2 = statetype = S && p2bodydist x > 100 && p2bodydist x < 150 && random > 670 && random <= 780 && p2movetype = A
trigger3 = p2movetype = A 
trigger3 = stateno = 100 || stateno = 20
trigger4 = statetype = S && p2bodydist x < 100 && p2bodydist x > 75 && movetype = I && random <= 500
trigger5 = statetype = S && p2bodydist x > 200 && p2movetype = A
;---------------------------------------------------------------------------
[State -1, walk initiative]
type = ChangeState
value = 20
triggerall = p2life > 0
triggerall = var (2) = 1
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = stateno != 100
trigger1 = p2bodydist x >= 120 && p2movetype != A


;===========================================================================
;---------------------------------------------------------------------------
;AI activation
[State -1, AI activation]
type = Varset
triggerall = roundstate = 2
trigger1 = command = "1"
trigger2 = command = "2"
trigger3 = command = "3"
trigger4 = command = "4"
trigger5 = command = "5"
trigger6 = command = "6"
trigger7 = command = "7"
trigger8 = command = "8"
trigger9 = command = "9"
trigger10 = command = "10"
trigger11 = command = "11"
trigger12 = command = "12"
trigger13 = command = "13"
trigger14 = command = "14"
trigger15 = command = "15"
trigger16 = command = "16"
var(2) = 1
